publican (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/copyright to mention CC0 license for Common_Content files.
    Closes: #787993
  * Replace perlmagick dep by libimage-magick-perl. Closes: #789223
  * Add do-not-replace-nbsp-by-spaces-in-pot-files.patch to preserve
    non breaking spaces from the original text.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 25 Jun 2015 21:36:00 +0200

publican (4.3.0-1) unstable; urgency=medium

  [ Mikhail Gusarov ]
  * Remove myself from Maintainer field

  [ Raphaël Hertzog ]
  * New upstream release. Closes: #784886
  * Refresh all patches.
  * Use "fr-FR" instead of "de-DE" as sample translation since
    Users_Guide/de-DE got dropped.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Jun 2015 14:11:36 +0200

publican (4.2.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 24 Oct 2014 08:45:53 +0200

publican (4.2.3-1) unstable; urgency=medium

  * New upstream release. 
  * Drop patches applied upstream: fix-public-id-of-char-entities.patch,
    fix-fop-build.patch.
  * Add drop-system-id-for-docbook-entities.patch to work-around bug
    #763598.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 09 Oct 2014 15:48:48 +0200

publican (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten dependencies to match Build.PL.
  * Drop fix-ftbfs-in-users-guide.patch as we build-depend on a version
    of Syntax::Highlight::Engine::Kate that works as expected.
  * Refresh other patches.
  * Add libhtml-wikiconverter-perl to dependencies as it's not brought
    in by libhtml-wikiconverter-markdown-perl.
  * Add docbook5-xml to dependencies for Docbook 5 support.
  * Add fix-public-id-of-char-entities.patch to fix a build failure.
  * Add Depends on docbook-xsl-ns for Dockbook 5 stylesheets.
  * Import upstream patch to fix fop build (fix-fop-build.patch).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Sep 2014 21:28:48 +0200

publican (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop unneeded dependency on libmakefile-parser-perl to avoid removal
    from testing due to #749357.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Jul 2014 15:49:05 +0200

publican (4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 May 2014 11:41:59 +0200

publican (4.0.0-1) unstable; urgency=medium

  * New upstream release:
    - properly resolve entities inside ulink. Closes: #719000
    - add_revision --member "foo" works as expected. Closes: #735356
  * Update Build-Depends and Depends according to Build.PL changes.
  * Update Standards-Version to 3.9.5.
  * New patch keep-pi-from-po.patch to keep processing instructions in
    translations.
  * Refresh patch fix-handling-of-screen.patch.
  * Adjust debian/rules perl's invocations to match the default options
    expected by Publican (-CDAS).
  * New patch fix-ftbfs-in-users-guide.patch to allow build of the
    user's guide.
  * Drop executable permissions on .mo files.
  * Ensure C locale when running tests (otherwise failure ensues).
  * Add debian/missing-sources/ with non-minified versions of
    web/jquery-1.7.1.min.js and web/jquery.jcarrousel.min.js files.
    Closes: #737461

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 05 Feb 2014 23:04:27 +0100

publican (3.2.1-2) unstable; urgency=low

  * Install Publican's .mo files. Closes: #724855

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 08 Oct 2013 09:30:25 +0200

publican (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch fix-handling-of-screen.
  * Bump debhelper compat level to 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Sep 2013 22:30:19 +0200

publican (3.2.0-1) unstable; urgency=low

  * New upstream release.
    - Generates standard date format in PO files now. Closes: #714739
  * Bump dependencies and build dependencies for libxml-treebuilder-perl.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 26 Aug 2013 23:26:54 +0200

publican (3.1.5-3) unstable; urgency=low

  * Depend on docbook-xsl >= 1.77 and drop debian/patches/revert-footnote-change
    whose sole purpose was to make publican work with an older docbook-xsl.
  * Deduplicate files in /usr/share/publican. We use rdfind to create
    hardlinks between all identical files. Thanks to Helmut Grohne for
    the tool suggestion and to Aaron M. Ucko for the report. Closes: #708705
  * Update Standards-Version to 3.9.4.
  * Update Vcs related URL from git.debian.org to anonscm.debian.org.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 19 Jun 2013 23:22:59 +0200

publican (3.1.5-2) unstable; urgency=low

  * Upload to unstable now that wheezy is released.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 May 2013 10:33:03 +0200

publican (3.1.5-1) experimental; urgency=low

  * New upstream release.
  * Drop patches restore-all-langs & workaround-testsuite-failure,
    merged upstream.
  * New patch revert-footnote-change to make publican work with docbook-
    xsl 1.76.1.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Mar 2013 10:27:21 +0100

publican (3.1.1-1) experimental; urgency=low

  * New upstream release.
  * Add libsort-versions-perl to Depends & Build-Depends
  * Drop fix-spelling-mistakes and fix-testsuite patches, merged
    upstream.
  * Refresh patch fix-handling-of-screen.
  * Add new patch to workaround new failures of the test suite.
  * Add new patch to re-enable languages that were mistakenly disabled
    in Build.PL.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Feb 2013 21:28:26 +0100

publican (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Update dependencies and build dependencies with many new Perl
    modules that are now required.
  * Drop patches handle-graphic-like-imagedata, fix-testsuite and fix-
    handling-of-corpauthor. They have been merged upstream.
  * Update patch fix-handling-of-screen to apply on the new version.
  * Add patch fix-testsuite to fix new problems in the test suite.
  * Add patch fix-spelling-mistakes to fix a few typos in POD
    documentation that were caught by Lintian.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 07 Nov 2012 21:18:37 +0100

publican (2.8-3) unstable; urgency=low

  * Add debian/patches/fix-handling-of-corpauthor grabbed from the old
    upstream SVN repository. Requested by Laurent Perez.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 18 Jun 2012 12:19:32 +0200

publican (2.8-2) unstable; urgency=low

  * No longer ignore test-suite failure. fop 1:1.0.dfsg2-5 should be working
    again.
  * Add missing dependency on libfile-which-perl. Closes: #660795
  * Update Standards-Version to 3.9.3 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 23 Feb 2012 22:17:00 +0100

publican (2.8-1) unstable; urgency=low

  * New upstream release.
    - Includes the bigger bottom-margin required to avoid content overlap.
      Closes: #648849
  * Drop patch fix-test-suite-perl-CA, merged upstream.
  * New patch fix-testsuite to fix new issues introduced with this version.
  * New patch fix-handling-of-screen to improve the handling of inline
    elements within verbatim blocks.
  * New patch handle-graphic-like-imagedata to recognize <graphic> in the same
    way.
  * Update Build-Depends and Depends to require docbook-xsl (>= 1.76.1)
    since it's now required for epub support.
  * Ignore test-suite failure since it triggers a fop bug currently.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 20 Nov 2011 20:25:42 +0100

publican (2.7-1) unstable; urgency=low

  * New upstream release (never released to Debian).
  * Drop patch perl-critic-fixes-svn1732, merged upstream.
  * Bump Standards-Version to 3.9.2.
  * Add new patch fix-test-suite-perl-CA so that the test suite
    works again. It's missing the -CA argument that was added
    to publican's shebang line.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 Sep 2011 08:22:26 +0200

publican (2.5-2) unstable; urgency=low

  * Backport upstream patch to cope with latest Perl::Critic.
    Closes: #616696

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 19 Mar 2011 15:28:36 +0100

publican (2.5-1) unstable; urgency=low

  * New upstream release.
  * Add missing dependency and build-dependency on libio-string-perl.
    Closes: #607272

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 31 Dec 2010 15:41:43 +0100

publican (2.3-2) unstable; urgency=low

  * Add missing dependency and build-dependency on libxml-simple-perl.
    Closes: #603281

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 20 Nov 2010 15:21:51 +0100

publican (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 31 Oct 2010 12:38:02 +0100

publican (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Oct 2010 23:25:21 +0200

publican (2.1-2) unstable; urgency=low

  * Add libtemplate-perl to Depends and Build-Depends. Closes: #590384
  * Website creation is now a documented feature, thus move
    libdbd-sqlite3-perl from Suggests to Depends.
  * Update Standards-Version to 3.9.1 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 26 Jul 2010 13:45:25 +0200

publican (2.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patch indexterm-should-not-split-blocks.patch, merged upstream.
  * Update Standards-Version to 3.9.0 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jul 2010 09:46:05 +0200

publican (1.6.3-1) unstable; urgency=low

  [ Mikhail Gusarov ]
  * New upstream release.
  * Change my email address in debian/control.
  * Added librsvg2-bin dependency to enable SVG processing.
  * Fixed deleting META.yml file during build.
  * Removed fix-typo-in-doc patch, applied upstream.

  [ Raphaël Hertzog ]
  * Add patch indexterm-should-not-split-blocks.patch to fix
    https://bugzilla.redhat.com/show_bug.cgi?id=592823

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 May 2010 10:33:01 +0200

publican (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file to cope with the new upstream download URL.
  * Update dependencies and build-dependencies to better match the
    information in Build.PL.
  * Use dh_lintian to install lintian overrides instead of custom rule
  * Drop Users_Guide/Makefile from debian/publican.examples, it's no
    longer provided.
  * Fix location of Users' Guide in doc-base file.
  * Switch to source format 3.0 (quilt)
  * Add patch fix-typo-in-doc to correct a typo in POD documentation.
  * Remove lintian overrides as they are all unused.
  * Add myself to Uploaders.
  * Update Standards-Version to 3.8.4 (no change needed)
  * Update upstream URL to match the new canonical name
  * Do not compress examples files.
  * Ensure clean removes all files left-over by the build. Drop unneeded
    backup of publican.cfg (it's no longer modified by the build).
  * Install users guide with override_dh_installdocs instead of
    override_dh_auto_install.
  * Ensure the build succeed when running with DEB_BUILD_OPTS=nocheck by
    creating the files that we copy as examples.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 Apr 2010 08:57:30 +0200

publican (1.6-1) unstable; urgency=low

  * New upstream release:
    - Data directory renamed to /usr/share/publican (Closes: #545127).
    - New build-dependencies: Archive::Zip, Test::Pod::Coverage, Devel::Cover

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 22 Mar 2010 12:56:07 +0600

publican (1.0~20090927-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make build and runtime dependency on libfile-copy-recursive-perl versioned
    (closes: #566271).

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Feb 2010 20:21:56 +0100

publican (1.0~20090927-2) unstable; urgency=low

  * Add libfile-pushd-perl to Depends (Closes: #545126).
  * Fix URL in watch file (Closes: #545172).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 05 Sep 2009 16:16:05 +0700

publican (1.0~20090927-1) unstable; urgency=low

  * Initial release (Closes: #542919).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 23 Aug 2009 03:31:23 +0700
